/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../file/assetmanager.h"

typedef struct {
  assetmanager_t *manager;
} loadingscene_t;

void loadingSceneInit(
  loadingscene_t *scene,
  assetmanager_t *assetManager
);

void loadingSceneStart(loadingscene_t *scene);

bool loadingSceneUpdate(loadingscene_t *scene);

void loadingSceneRender(loadingscene_t *scene);

void loadingSceneDispose(loadingscene_t *scene);